/*
 * Copyright © 2009 Jerome Glisse <glisse@freedesktop.org>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 */
#ifndef RADEON_BO_H
#define RADEON_BO_H

#include <stdint.h>

/*
 * radeon object functions
 */
struct radeon_bo {
    int                 fd;
    unsigned            refcount;
    unsigned            mapcount;
    unsigned            handle;
    unsigned            size;
    unsigned            alignment;
    void                *data;
};
struct radeon_bo *radeon_bo(int fd, unsigned handle, unsigned size,
                            unsigned alignment, void *ptr);
int radeon_bo_map(struct radeon_bo *bo);
void radeon_bo_unmap(struct radeon_bo *bo);
struct radeon_bo *radeon_bo_incref(struct radeon_bo *bo);
struct radeon_bo *radeon_bo_decref(struct radeon_bo *bo);
int radeon_bo_wait(struct radeon_bo *bo);

#endif
