/*
 * Copyright © 2009 Jerome Glisse <glisse@freedesktop.org>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 */
#ifndef RADEON_MODE_H
#define RADEON_MODE_H

struct radeon_bo;

struct radeon_mode {
    drmModeModeInfo     info;
    uint32_t            pitch;
    uint32_t            npix_x;
    uint32_t            npix_y;
    uint32_t            bpp;
    uint32_t            size;
    uint32_t            encoder_id;
    uint32_t            connector_id;
    uint32_t            crtc_id;
    uint32_t            fb_id;
    struct radeon_bo    *bo;
};

int radeon_mode_configure(int radeonfd, struct radeon_mode *mode);
void radeon_mode_cleanup(int radeonfd, struct radeon_mode *mode);

#endif
